Subject: bug#23689: Daemon-mode on Windows - "w32-initialized" is set too early

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jun 2016 21:55:47 +0300

> From: Paul Moore <[email-masked]>
> Date: Tue, 14 Jun 2016 19:20:27 +0100
> Cc: [email-masked]
> 
> The user supplies a *list* of fonts. The code then goes through those
> fonts in turn, checking (via find-font) whether the font exists, and
> if it does, then sets it as the frame font and adds it to
> default-frame-alist for the future.
> 
> The point here is for users who want to move their config between
> machines, and don't always have the same fonts installed - so they
> would typically put their preferred font first in the list, with
> fallback options following.

Sounds like a perfect use case for a fontset: create a fontset from
all those fonts, and then use the name of that fontset as the value of
the 'font' parameter in default-frame-alist.  Emacs will look up the
fonts in the font set one by one until it finds one it can use.